namespace ShoopNCook.Views;

public partial class HeadedButton : ContentView
{

    private readonly BindableProperty TextProperty =
        BindableProperty.Create("Text", typeof(string), typeof(HeadedButton), "No Text Defined.");

    private readonly BindableProperty HeadColorProperty =
        BindableProperty.Create("HeadColor", typeof(string), typeof(HeadedButton), "#FFFFFF");

    private readonly BindableProperty HeadSourceProperty =
        BindableProperty.Create("HeadSource", typeof(string), typeof(HeadedButton), default(string));

    public string Text
    {
        get => (string)GetValue(TextProperty);
        set => SetValue(TextProperty, value);
    }

    public string HeadColor
    {
        get => (string)GetValue(HeadColorProperty);
        set => SetValue(HeadColorProperty, value);
    }

    public string HeadSource
    {
        get => (string)GetValue(HeadSourceProperty);
        set => SetValue(HeadSourceProperty, value);
    }

    public HeadedButton()
	{
		InitializeComponent();
	}
}